#include<bits/stdc++.h>
#define f first
#define s second
#define ll long long
#include "partition.h"
using namespace std;
const int maxn = 1e5+10;
int n;
bool used[maxn];
vector<int> solve(vector<int> A)
{
    n=A.size();
    vector<pair<int,int>> a;
    ll sum=0;
    for(int i=0;i<n;i++)
    {
        a.push_back({A[i],i});
        sum+=A[i];
    }
    sort(a.rbegin(),a.rend());
    vector<int> idxs;
//    printf("here\n");
    int r=n-1;
    for(int i=0;i<n/2;i++)
    {
        idxs.push_back(i);
    }
    idxs.push_back(n-1);
    for(int i=n/2;i<n-1;i++) idxs.push_back(i);
   // printf("here2\n");
    return idxs;
}
